AlgoSeek

Get current identity

Returns details about the account that owns the API key used to authenticate the request

GET 

https://api.devalgoseek.com/api/v1/account/my#

Returns details about the account that owns the API key used to authenticate the request

Responses#

Successful Response

Schema
    identity_idintegerrequired

    The unique identifier of the identity.

    Example: 1622
    namestringrequired

    Name of the identity.

    Example: John Doe
    max_active_api_keysintegerrequired

    The number of API keys allowed for the account.

    Example: 6
    ip_subnetsipv4network[]required

    List of IP subnets/addresses in CIDR notation for which the data access is authorized.

    Example: ["3.52.0.0/24","164.12.58.10/32"]

Authorization: X-API-KEY#

name: X-API-KEYtype: apiKeyin: header
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.devalgoseek.com/api/v1/account/my");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("X-API-KEY", "<X-API-KEY>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Request
Base URL
https://api.devalgoseek.com
Auth
Response

Click the Send API Request button above and see the response here!